IARRAY_COMPUTE_HISTOGRAM(3)

FUNCTION
iarray_compute_histogram - Compute a histogram of an "Intelligent Array".

SYNOPSIS
#include <karma_iarray.h>

flag iarray_compute_histogram

(iarray array, unsigned int conv_type, double min, double max, unsigned long num_bins, unsigned long *histogram_array, unsigned long *histogram_peak, unsigned long *histogram_mode)

DESCRIPTION
Compute a histogram of an "Intelligent Array".

array
    The array.

conv_type
    The conversion type to use for complex numbers. See <-ds_COMPLEX_CONVERSIONS-> for legal values. CONV_CtoR_ENVELOPE is not legal.

min Data values below this will be ignored.

max Data values above this will be ignored.

num_bins
    The number of histogram bins.

histogram_array
    A pointer to the histogram array. The values in this array are updated, and hence must be initialised externally.

histogram_peak
    The peak of the histogram is written here. This value is updated, and hence must be externally initialised to 0.

histogram_mode
    The mode of the histogram (index value of the peak) will be written here. This value is updated, and hence must be externally initialised to 0.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/